extends Node3D

@onready var character = (get_owner() as Character)

func _process(delta):
	if Global.is_level_loading:
		return
	if Global.is_level_loading_contorl:
		return
	MetSys.set_player_position(character.pos2D())
